Page MenuHomeFreeBSD

lang/elixir: update to 1.8.1 and use OTP-21 shim
AbandonedPublic

Authored by dch on Feb 14 2019, 9:28 AM.

Details

Summary

see D19080 alternate implementation

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 22495
Build 21646: arc lint + arc unit

Event Timeline

dch created this revision.Feb 14 2019, 9:28 AM

works very well, will this be committed soon?

hey folks, this is a much simpler patch than Mark's earlier one and it's been working fine for me. Let's ship it if there's no complaints. I will amend the absolute path noted above.

lang/elixir/files/patch-bin_elixir
8

this should be a var here.

lwhsu removed 1 blocking reviewer(s): lwhsu.Apr 15 2019, 10:36 AM

I haven't been using elixir for a while, and I haven't tested this patch. It looks good to me, but I don't think I would explicitly "review" it as I haven't tried it yet.

lang/elixir/files/patch-bin_elixir
8

So are you going to change it? Or it's done?

dch abandoned this revision.May 27 2019, 12:40 PM

dropped as we have D19911 & D19912 which updates the erlang dependency as well